2.8 - Device Not Compatible

ShaddShadd Member Posts: 2
Trying to update and the Google play store is saying "device not compatible". I'm on android version 7.0.

Comments

Sign In or Register to comment.